PETSc version 3.15.5
Fix/Edit manual page

# PetscStageLogGetCurrent

This function returns the stage from the top of the stack.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetCurrent(PetscStageLog stageLog, int *stage)

Not Collective

### Input Parameter

| stageLog | - The PetscStageLog

### Output Parameter

| stage | - The current stage

### Notes

If no stage is currently active, stage is set to -1.

### Developer Notes

Inline since called for EACH PetscEventLogBeginDefault() and PetscEventLogEndDefault()

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscLogGetStageLog()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages